{-# OPTIONS_GHC -fno-warn-orphans #-}
{-# LANGUAGE FlexibleInstances, MultiParamTypeClasses #-}

module Data.Monoid.Monad.Identity
    ( module Control.Monad.Identity
    , module Data.Monoid.Reducer
    )  where

import Control.Monad.Identity
import Data.Monoid.Reducer

instance Monoid m => Monoid (Identity m) where
    mempty = return mempty
    mappend = liftM2 mappend

instance Monoid m => Reducer m (Identity m) where
    unit = Identity
