{-# OPTIONS_GHC -fno-warn-orphans #-}
{-# LANGUAGE FlexibleInstances, MultiParamTypeClasses #-}

module Data.Monoid.Monad.STM
    ( module Control.Concurrent.STM
    , module Control.Monad
    , module Data.Monoid.Reducer
    )  where

import Control.Monad
import Control.Concurrent.STM
import Data.Monoid.Reducer

instance Monoid m => Monoid (STM m) where
    mempty = return mempty
    mappend = liftM2 mappend

instance Monoid m => Reducer m (STM m) where
    unit = return
