{-# LANGUAGE FlexibleInstances, FlexibleContexts, UndecidableInstances #-}
module Data.Monoid.Reducer.Sugar 
    ( module Data.Monoid.Reducer
    , fromInteger
    , IsString, fromString
    ) where

import Prelude hiding (fromInteger)
import GHC.Exts hiding (fromString)
import Data.Monoid.Generator
import Data.Monoid.Reducer

fromInteger :: Reducer Integer m => Integer -> m
fromInteger = unit

fromString :: Reducer Char m => String -> m
fromString = reduce
