module Data.Group.Sugar 
    ( module Data.Monoid.Additive.Sugar
    , module Data.Group
    , (-)
    , negate
    ) where

import Data.Monoid.Additive.Sugar
import Data.Group
import Prelude hiding ((-), negate)

infixl 7 -

(-) :: Group g => g -> g -> g
(-) = minus

negate :: Group g => g -> g
negate = gnegate
